Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235932 - ORPHAN (no passwd entry) in 4.1-80
Summary: ORPHAN (no passwd entry) in 4.1-80
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vixie-cron
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 20:59 UTC by Robert Scheck
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 16:49:45 UTC


Attachments (Terms of Use)

Description Robert Scheck 2007-04-10 20:59:23 UTC
Description of problem:
Latest update broke vixie-cron for me including all cron-jobs:

Apr 10 22:36:17  tux crond[1419]: (CRON) STARTUP (V5.0)
Apr 10 22:36:17  tux crond[1419]: (mailget) ORPHAN (no passwd entry)
Apr 10 22:36:17  tux crond[1419]: (sa-update) ORPHAN (no passwd entry)
[...]
Apr 10 22:40:01  tux crond[3530]: (vnstat) CMD (/usr/sbin/vnstat.cron)
Apr 10 22:40:01  tux crond[3531]: (vnstat) CMD (vnstat /usr/sbin/vnstat.cron)

--- snipp ---
From: Cron Daemon <root@localhost>
To: root@localhost
Subject: Cron <vnstat@hurricane> vnstat /usr/sbin/vnstat.cron

Unknown arg "/usr/sbin/vnstat.cron". Use --help for help.
--- snapp ---

Version-Release number of selected component (if applicable):
vixie-cron-4.1-80

How reproducible:
Everytime, see above.

Expected results:
Working stuff like in 4.1-78 ;-)

Additional info:
Vixie-cron was built without PAM support, but this shouldn't make any 
difference, shouldn't it?

Comment 1 Marcela Mašláňová 2007-04-12 12:01:56 UTC
PAM doesn't matter. Where have you your jobs? In /etc/cron.d or did you do them
using crontab? I have also the ORPHANs in log, but the jobs are runned.

My jobs are orphans only when they come from /etc/cron.d, jobs made by crontab
run normally.

Comment 2 Robert Scheck 2007-04-12 12:05:43 UTC
/etc/cron.d/vnstat (from vnstat package)

Comment 3 Marcela Mašláňová 2007-04-12 16:49:45 UTC
Fixed in vixie-cron-4.1-82.fc7


Note You need to log in before you can comment on or make changes to this bug.